Burn Blocks
Read-only endpoints to obtain burn block details
Retrieves a list of recent burn blocks
Results per page
20Result offset
0Default Response
2001Default Response
GET /extended/v2/burn-blocks/ HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"stacks_blocks": [
"text"
],
"avg_block_time": 1,
"total_tx_count": 1
}
]
}Retrieves a single burn block
Burn block hash
0000000000000000000452773967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$Burn block height
777678Default Response
Unix timestamp (in seconds) indicating when this block was mined.
An ISO 8601 (YYYY-MM-DDTHH:mm:ss.sssZ) indicating when this block was mined.
Hash of the anchor chain block
Height of the anchor chain block
Hashes of the Stacks blocks included in the burn block
Average time between blocks in seconds. Returns 0 if there is only one block in the burn block.
Total number of transactions in the Stacks blocks associated with this burn block
Default Response
GET /extended/v2/burn-blocks/{height_or_hash} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"stacks_blocks": [
"text"
],
"avg_block_time": 1,
"total_tx_count": 1
}Retrieves a list of blocks confirmed by a specific burn block
Burn block hash
0000000000000000000452773967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$Burn block height
777678Results per page
20Result offset
0Default Response
2001Default Response
GET /extended/v2/burn-blocks/{height_or_hash}/blocks HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"canonical": true,
"height": 1,
"hash": "text",
"block_time": 1,
"block_time_iso": "text",
"tenure_height": 1,
"index_block_hash": "text",
"parent_block_hash": "text",
"parent_index_block_hash": "text",
"burn_block_time": 1,
"burn_block_time_iso": "text",
"burn_block_hash": "text",
"burn_block_height": 1,
"miner_txid": "text",
"tx_count": 1,
"execution_cost_read_count": 1,
"execution_cost_read_length": 1,
"execution_cost_runtime": 1,
"execution_cost_write_count": 1,
"execution_cost_write_length": 1
}
]
}Last updated
Was this helpful?